<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlast/Value.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlast.Value</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlast.html" >idlast</a>
</div><div class="class-name">class Value

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlast.py.html" target="detail">../Synopsis/Parsers/IDL/idlast.py</a></div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1041" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Value-inheritance" src="Value-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Value-inheritance_map" />
<map name="Value-inheritance_map"><area alt="Scopes/Synopsis/Parsers/IDL/idlast/Decl.html" href="Decl.html" shape="rect" coords="5, 7, 205, 31" />
<area alt="Scopes/Synopsis/Parsers/IDL/idlast/DeclRepoId.html" href="DeclRepoId.html" shape="rect" coords="229, 7, 472, 31" />
</map>
 <div class="doc">valuetype declaration &#40;Decl&#44; DeclRepoId&#41;

Functions:

  custom&#40;&#41;       -- boolean: true if declared custom.
  inherits&#40;&#41;     -- list of valuetypes from which this inherits. The
                    first may be a Value object or a ValueAbs object;
                    any others will be ValueAbs objects.
  truncatable&#40;&#41;  -- boolean: true if the inherited Value is declared
                    truncatable.
  supports&#40;&#41;     -- list of Interface objects which this supports.
  contents&#40;&#41;     -- list of Decl objects for all items declared within
                    this valuetype.
  declarations&#40;&#41; -- subset of contents&#40;&#41; containing types&#44; constants
                    and exceptions.
  callables&#40;&#41;    -- subset of contents&#40;&#41; containing Operations and
                    Attributes.
  statemembers&#40;&#41; -- subset of contents&#40;&#41; containing StateMembers.
  factories&#40;&#41;    -- subset of contents&#40;&#41; containing Factory instances.
  </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_setContents">_setContents</a>(<span class="variable">self</span>, <span class="variable">contents</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value._setContents" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1080" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__custom">__custom</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1070" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__inherits">__inherits</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1071" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__truncatable">__truncatable</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1072" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__supports">__supports</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1073" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__contents">__contents</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1074" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__declarations">__declarations</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1075" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__callables">__callables</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1076" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__statemembers">__statemembers</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1077" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__factories">__factories</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1078" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">mainFile</span>, <span class="variable">pragmas</span>, <span class="variable">comments</span>, <span class="variable">identifier</span>, <span class="variable">scopedName</span>, <span class="variable">repoId</span>, <span class="variable">custom</span>, <span class="variable">inherits</span>, <span class="variable">truncatable</span>, <span class="variable">supports</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1063" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.accept" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1101" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="custom">custom</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.custom" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1103" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="inherits">inherits</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.inherits" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1104" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="truncatable">truncatable</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.truncatable" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="supports">supports</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.supports" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1106" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="contents">contents</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.contents" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1107" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="declarations">declarations</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.declarations" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1108" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="callables">callables</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.callables" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1109" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="statemembers">statemembers</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.statemembers" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1110" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="factories">factories</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref19.html#Synopsis.Parsers.IDL.idlast.Value.factories" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlast.py.html#line1111" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Decl">
<tr><td colspan="2" class="heading">Attributes Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#__file" title="attribute Decl.__file">__file</a>,
<a href="Decl.html#__line" title="attribute Decl.__line">__line</a>,
<a href="Decl.html#__mainFile" title="attribute Decl.__mainFile">__mainFile</a>,
<a href="Decl.html#__builtIn" title="attribute Decl.__builtIn">__builtIn</a>,
<a href="Decl.html#__pragmas" title="attribute Decl.__pragmas">__pragmas</a>,
<a href="Decl.html#__comments" title="attribute Decl.__comments">__comments</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Decl">
<tr><td colspan="2" class="heading">Methods Inherited from Decl</td></tr>
<tr><td class="inherited"><a href="Decl.html#file" title="method Decl.file">file</a>,
<a href="Decl.html#line" title="method Decl.line">line</a>,
<a href="Decl.html#mainFile" title="method Decl.mainFile">mainFile</a>,
<a href="Decl.html#builtIn" title="method Decl.builtIn">builtIn</a>,
<a href="Decl.html#pragmas" title="method Decl.pragmas">pragmas</a>,
<a href="Decl.html#comments" title="method Decl.comments">comments</a>,
<a href="Decl.html#fullDecl" title="method Decl.fullDecl">fullDecl</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from DeclRepoId">
<tr><td colspan="2" class="heading">Attributes Inherited from DeclRepoId</td></tr>
<tr><td class="inherited"><a href="DeclRepoId.html#__identifier" title="attribute DeclRepoId.__identifier">__identifier</a>,
<a href="DeclRepoId.html#__scopedName" title="attribute DeclRepoId.__scopedName">__scopedName</a>,
<a href="DeclRepoId.html#__repoId" title="attribute DeclRepoId.__repoId">__repoId</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DeclRepoId">
<tr><td colspan="2" class="heading">Methods Inherited from DeclRepoId</td></tr>
<tr><td class="inherited"><a href="DeclRepoId.html#identifier" title="method DeclRepoId.identifier">identifier</a>,
<a href="DeclRepoId.html#scopedName" title="method DeclRepoId.scopedName">scopedName</a>,
<a href="DeclRepoId.html#repoId" title="method DeclRepoId.repoId">repoId</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
